Removed NetBSD3 support as no longer needed. Fixes: #908
[exim.git] / src / scripts / os-type
index b4662bb..7894de6 100755 (executable)
@@ -1,5 +1,5 @@
 #! /bin/sh
-# $Cambridge: exim/src/scripts/os-type,v 1.5 2006/03/16 14:00:50 ph10 Exp $
+# $Cambridge: exim/src/scripts/os-type,v 1.6 2009/11/13 12:18:35 nm4 Exp $
 
 # Shell script to determine the operating system type. Some of the heuristics
 # herein have accumulated over the years and may not strictly be needed now,
@@ -83,11 +83,7 @@ linux)      os=Linux;;
 linux-*)    os=Linux;;
 Linux-*)    os=Linux;;
 netbsd*)    os=NetBSD;;
-NetBSD*)    version=`uname -r`
-            case "$version" in
-            3.*) os=NetBSD3;;
-            *)   os=NetBSD;;
-            esac;;
+NetBSD*)    os=NetBSD;;
 openbsd*)   os=OpenBSD;;
 osf1)       os=OSF1;;
 qnx*)       os=QNX;;